/*
 *  Creature.h
 *  emptyExample
 *
 *  Created by Andrew Wallace on 9/13/11.
 *  Copyright 2011 Cool Town Inc. All rights reserved.
 *
 */

#pragma once

#include "ofMain.h"
#include "Segment.h"
#include "Head.h"

#define SEG_NUM 6

class Creature{
public:
	
	//Creature();
	void setup();
	void update(float mX, float mY);
	void draw();
	
	vector <ofPoint> pos;	//stores the last 100 positions the head has been in
	ofPoint goal;			//this will probably be the mouse
	
	Segment segments[SEG_NUM];
	Head head;
};