/*
 *  Head.h
 *  emptyExample
 *
 *  Created by Andrew Wallace on 9/14/11.
 *  Copyright 2011 Cool Town Inc. All rights reserved.
 *
 */

#pragma once

#include "ofMain.h"

class Head{
public:
	
	void setup();
	void draw();
	void update(float targetX, float targetY); 
	
	float x,y;		//real locaiton of the head
	
	ofPoint pos;	//current location
	float angle;	//angle pointing to either the goal or the next segment
	float bodyAngle;	//angle of the point just behind the head to this one
	float speed;	//how much percent to reach the xeno target
	
	float minDist;	//how close the creature will get to the target
	
	
};